Get Shops
curl --request GET \
--url https://api.sellauth.com/v1/shops \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sellauth.com/v1/shops"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sellauth.com/v1/shops', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 1,
"created_at": "2026-09-20T15:56:23.000000Z",
"updated_at": "2026-09-20T15:56:23.000000Z",
"name": "Demo Shop",
"subdomain": "demo-shop",
"logo_image_id": null,
"favicon_image_id": null,
"background_image_id": null,
"owner_id": 1,
"description": null,
"currency": "USD",
"default_language": null,
"enabled_languages": null,
"meta_title": null,
"meta_description": null,
"meta_image_id": null,
"meta_twitter_card": "summary",
"discord_url": null,
"youtube_url": null,
"telegram_url": null,
"tiktok_url": null,
"instagram_url": null,
"theme_id": null,
"deleted_at": null,
"crisp_website_id": null,
"tawkto_id": null,
"gtag_id": null,
"gtm_id": null,
"meta_pixel_id": null,
"discord_client_id": null,
"discord_client_secret": null,
"discord_bot_token": null,
"discord_login_enabled": false,
"termination_reason": null,
"termination_internal_reason": null,
"terminated_at": null,
"termination_appeal": null,
"products_sold": 0,
"products_sold_offset": 0,
"total_customers": 0,
"total_completed_invoices": null,
"total_customers_offset": 0,
"total_feedbacks": 0,
"average_rating": "0.00",
"webhook_secret": "4d3aa09bd7887cd0bd40bd64e829adf34cdf8dd46be389e723b7c170ad166dae",
"invoice_header": null,
"invoice_notes": null,
"invoice_footer": null,
"invoice_attach_email": false,
"tax_enabled": false,
"tax_rate": null,
"tax_countries": null,
"maintenance_enabled": 0,
"refund_out_of_stock_to_customer_balance": false,
"trustpilot_afs_email": null,
"force_custom_domain": true,
"hide_out_of_stock_products": false,
"hide_out_of_stock_variants": false,
"require_shipping_zone": 1,
"noindex": false,
"powered_by_enabled": false,
"product_limit_override": null,
"legacy_team_limits": false,
"has_supplier_connections": false,
"has_products": true,
"reseller_marketplace_available": true,
"user_permissions": "*",
"url": "http://demo-shop.mysellauth.test:80",
"is_subscribed": true,
"subscription_ends_at": "2036-09-20T15:56:23.000000Z",
"subscription_plan": {
"id": "scale",
"name": "Scale",
"product_id": 801686,
"price": 29.99,
"rank": 2,
"referral_bonus": 0.3,
"has_custom_domain": true,
"has_custom_pages": true,
"has_custom_notes": true,
"has_manual_payment_method": true,
"has_feedback_dispute": true,
"has_priority_dispute_resolution": true,
"has_feedback_image": true,
"has_feedback_disable": true,
"has_blacklist_advanced_types": true,
"has_whitelist_advanced_types": true,
"has_email_templates": true,
"has_smtp": true,
"has_discord_remove_role": true,
"has_discord_purchase_role": true,
"has_checkout_api": true,
"has_checkout_custom_css": true,
"has_custom_discord_embeds": true,
"has_beta_features": true,
"has_abandoned_checkouts": true,
"has_abandoned_checkout_automation": true,
"has_subscriptions": true,
"has_ai_theme_editor": true,
"has_reseller_panel": true,
"has_email_marketing": true,
"has_email_automations": true,
"has_email_tracking": true,
"has_blog": true,
"product_limit": 500,
"variant_per_product_limit": 500,
"image_per_product_limit": 50,
"team_member_limit": 10,
"legacy_team_member_limit": 49,
"blacklist_limit": 5000,
"whitelist_limit": 5000,
"cart_item_limit": 100,
"downloadable_file_limit": 500,
"downloadable_file_max_size_mb": 100,
"affiliate_tier_limit": 500,
"affiliate_limit": 10000,
"reseller_tier_limit": 500,
"reseller_limit": 10000,
"blog_post_limit": 500,
"coupon_limit": 50000,
"email_monthly_send_limit": 50000,
"email_campaign_limit": 500,
"email_list_limit": 100,
"email_contact_limit": 100000,
"email_marketing_template_limit": 100,
"email_automation_limit": 20,
"email_send_rate_per_minute": 200,
"min_feedback_price_usd": 0,
"webp_quality": 98,
"image_max_size_mb": 50,
"theme_asset_file_max_size_mb": 10
},
"subscription_source": "paid",
"team_member_limit": 10,
"logo_image_url": null,
"activity_log_enabled": true,
"pivot": {
"user_id": 1,
"shop_id": 1,
"role": "owner"
},
"subscription": {
"id": 1,
"shop_id": 1,
"plan": "scale",
"renewal_method": "manual",
"product_subscription_id": null,
"cancel_at_period_end": false,
"ends_at": "2036-09-20T15:56:23.000000Z",
"rate_usd_per_day": null,
"previous_plan": null,
"switched_at": null,
"expiry_reminder_stage": 0,
"created_at": "2026-09-20T15:56:23.000000Z",
"updated_at": "2026-09-20T15:56:23.000000Z",
"deleted_at": null
},
"active_grant": null,
"theme": null,
"payment_methods": [
{
"id": 1,
"shop_id": 1,
"type": "stripe",
"name": "Stripe",
"checkout_name": null,
"icon_image_id": null,
"percentage_fee": 0,
"fixed_fee": 0,
"min_amount": null,
"max_amount": null,
"currency_override": null,
"hide_powered_by": false,
"is_active": true,
"order": 0,
"created_at": "2026-09-20T15:56:24.000000Z",
"updated_at": "2026-09-20T15:56:24.000000Z",
"deleted_at": null,
"icon_image_url": null,
"icon_image": null
},
{
"id": 2,
"shop_id": 1,
"type": "CUSTOMERBALANCE",
"name": "Customer Balance",
"checkout_name": null,
"icon_image_id": null,
"percentage_fee": 0,
"fixed_fee": 0,
"min_amount": null,
"max_amount": null,
"currency_override": null,
"hide_powered_by": false,
"is_active": true,
"order": 0,
"created_at": "2026-09-20T15:56:24.000000Z",
"updated_at": "2026-09-20T15:56:24.000000Z",
"deleted_at": null,
"icon_image_url": null,
"icon_image": null
}
],
"verified_domain": null,
"logo_image": null
}
]Shops
Get Shops
Retrieves all your shops.
GET
/
v1
/
shops
Get Shops
Authorizations
You can retrieve your API key from your dashboard under Account > Developers.
Response
200 - application/json
Example:
[
{
"id": 1,
"created_at": "2026-09-20T15:56:23.000000Z",
"updated_at": "2026-09-20T15:56:23.000000Z",
"name": "Demo Shop",
"subdomain": "demo-shop",
"logo_image_id": null,
"favicon_image_id": null,
"background_image_id": null,
"owner_id": 1,
"description": null,
"currency": "USD",
"default_language": null,
"enabled_languages": null,
"meta_title": null,
"meta_description": null,
"meta_image_id": null,
"meta_twitter_card": "summary",
"discord_url": null,
"youtube_url": null,
"telegram_url": null,
"tiktok_url": null,
"instagram_url": null,
"theme_id": null,
"deleted_at": null,
"crisp_website_id": null,
"tawkto_id": null,
"gtag_id": null,
"gtm_id": null,
"meta_pixel_id": null,
"discord_client_id": null,
"discord_client_secret": null,
"discord_bot_token": null,
"discord_login_enabled": false,
"termination_reason": null,
"termination_internal_reason": null,
"terminated_at": null,
"termination_appeal": null,
"products_sold": 0,
"products_sold_offset": 0,
"total_customers": 0,
"total_completed_invoices": null,
"total_customers_offset": 0,
"total_feedbacks": 0,
"average_rating": "0.00",
"webhook_secret": "4d3aa09bd7887cd0bd40bd64e829adf34cdf8dd46be389e723b7c170ad166dae",
"invoice_header": null,
"invoice_notes": null,
"invoice_footer": null,
"invoice_attach_email": false,
"tax_enabled": false,
"tax_rate": null,
"tax_countries": null,
"maintenance_enabled": 0,
"refund_out_of_stock_to_customer_balance": false,
"trustpilot_afs_email": null,
"force_custom_domain": true,
"hide_out_of_stock_products": false,
"hide_out_of_stock_variants": false,
"require_shipping_zone": 1,
"noindex": false,
"powered_by_enabled": false,
"product_limit_override": null,
"legacy_team_limits": false,
"has_supplier_connections": false,
"has_products": true,
"reseller_marketplace_available": true,
"user_permissions": "*",
"url": "http://demo-shop.mysellauth.test:80",
"is_subscribed": true,
"subscription_ends_at": "2036-09-20T15:56:23.000000Z",
"subscription_plan": {
"id": "scale",
"name": "Scale",
"product_id": 801686,
"price": 29.99,
"rank": 2,
"referral_bonus": 0.3,
"has_custom_domain": true,
"has_custom_pages": true,
"has_custom_notes": true,
"has_manual_payment_method": true,
"has_feedback_dispute": true,
"has_priority_dispute_resolution": true,
"has_feedback_image": true,
"has_feedback_disable": true,
"has_blacklist_advanced_types": true,
"has_whitelist_advanced_types": true,
"has_email_templates": true,
"has_smtp": true,
"has_discord_remove_role": true,
"has_discord_purchase_role": true,
"has_checkout_api": true,
"has_checkout_custom_css": true,
"has_custom_discord_embeds": true,
"has_beta_features": true,
"has_abandoned_checkouts": true,
"has_abandoned_checkout_automation": true,
"has_subscriptions": true,
"has_ai_theme_editor": true,
"has_reseller_panel": true,
"has_email_marketing": true,
"has_email_automations": true,
"has_email_tracking": true,
"has_blog": true,
"product_limit": 500,
"variant_per_product_limit": 500,
"image_per_product_limit": 50,
"team_member_limit": 10,
"legacy_team_member_limit": 49,
"blacklist_limit": 5000,
"whitelist_limit": 5000,
"cart_item_limit": 100,
"downloadable_file_limit": 500,
"downloadable_file_max_size_mb": 100,
"affiliate_tier_limit": 500,
"affiliate_limit": 10000,
"reseller_tier_limit": 500,
"reseller_limit": 10000,
"blog_post_limit": 500,
"coupon_limit": 50000,
"email_monthly_send_limit": 50000,
"email_campaign_limit": 500,
"email_list_limit": 100,
"email_contact_limit": 100000,
"email_marketing_template_limit": 100,
"email_automation_limit": 20,
"email_send_rate_per_minute": 200,
"min_feedback_price_usd": 0,
"webp_quality": 98,
"image_max_size_mb": 50,
"theme_asset_file_max_size_mb": 10
},
"subscription_source": "paid",
"team_member_limit": 10,
"logo_image_url": null,
"activity_log_enabled": true,
"pivot": {
"user_id": 1,
"shop_id": 1,
"role": "owner"
},
"subscription": {
"id": 1,
"shop_id": 1,
"plan": "scale",
"renewal_method": "manual",
"product_subscription_id": null,
"cancel_at_period_end": false,
"ends_at": "2036-09-20T15:56:23.000000Z",
"rate_usd_per_day": null,
"previous_plan": null,
"switched_at": null,
"expiry_reminder_stage": 0,
"created_at": "2026-09-20T15:56:23.000000Z",
"updated_at": "2026-09-20T15:56:23.000000Z",
"deleted_at": null
},
"active_grant": null,
"theme": null,
"payment_methods": [
{
"id": 1,
"shop_id": 1,
"type": "stripe",
"name": "Stripe",
"checkout_name": null,
"icon_image_id": null,
"percentage_fee": 0,
"fixed_fee": 0,
"min_amount": null,
"max_amount": null,
"currency_override": null,
"hide_powered_by": false,
"is_active": true,
"order": 0,
"created_at": "2026-09-20T15:56:24.000000Z",
"updated_at": "2026-09-20T15:56:24.000000Z",
"deleted_at": null,
"icon_image_url": null,
"icon_image": null
},
{
"id": 2,
"shop_id": 1,
"type": "CUSTOMERBALANCE",
"name": "Customer Balance",
"checkout_name": null,
"icon_image_id": null,
"percentage_fee": 0,
"fixed_fee": 0,
"min_amount": null,
"max_amount": null,
"currency_override": null,
"hide_powered_by": false,
"is_active": true,
"order": 0,
"created_at": "2026-09-20T15:56:24.000000Z",
"updated_at": "2026-09-20T15:56:24.000000Z",
"deleted_at": null,
"icon_image_url": null,
"icon_image": null
}
],
"verified_domain": null,
"logo_image": null
}
]